Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ControllerFunction< T > Class Template Reference

Subclasses of this class are responsible for performing a function on an input value for a Controller. More...

`#include <OgreController.h>`

List of all members.

## Public Methods

| ControllerFunction (bool deltaInput)
| Constructor.
virtual T | calculate (T sourceValue)=0

## Protected Methods

T | getAdjustedInput (T input)
| Gets the input value as adjusted by any delta.

## Protected Attributes

bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
T | mDeltaCount

## Detailed Description

### template<typename T>
class Ogre::ControllerFunction< T >

Subclasses of this class are responsible for performing a function on an input value for a Controller.

Remarks:
  This abstract class provides the interface that needs to be supported for a custom function which can be 'plugged in' to a Controller instance, which controls some object value based on an input value. For example, the WaveControllerFunction class provided by Ogre allows you to use various waveforms to translate an input value to an output value.

  You are free to create your own subclasses in order to define any function you wish.

Definition at line 47 of file OgreController.h.

## Constructor & Destructor Documentation

template<typename T>
Ogre::ControllerFunction< T >::ControllerFunction | ( | bool | deltaInput | ) |

Constructor.

Parameters:

  deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

Definition at line 79 of file OgreController.h.

## Member Function Documentation

template<typename T>
virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) | `[pure virtual]`

| Implemented in Ogre::AnimationControllerFunction, Ogre::ScaleControllerFunction, and Ogre::WaveformControllerFunction.

template<typename T>
T Ogre::ControllerFunction< T >::getAdjustedInput | ( | T | input | ) | `[protected]`

| Gets the input value as adjusted by any delta. Reimplemented in Ogre::WaveformControllerFunction. Definition at line 56 of file OgreController.h.

## Member Data Documentation

template<typename T>
T Ogre::ControllerFunction< T >::mDeltaCount`[protected]`

| Definition at line 52 of file OgreController.h.

template<typename T>
bool Ogre::ControllerFunction< T >::mDeltaInput`[protected]`

| If true, function will add imput values together and wrap at 1.0 before evaluating. Definition at line 51 of file OgreController.h.

The documentation for this class was generated from the following file:

- OgreController.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:51 2004